Page Summary
-
This method lists custom lists with the order defined by the orderBy parameter.
-
The HTTP request is a GET request to
https://displayvideo.googleapis.com/v1beta2/customLists. -
Query parameters can be used to specify page size, page token, order, filter, and advertiser ID.
-
The request body must be empty.
-
The response body contains a list of custom lists and a token for the next page of results.
Lists custom lists.
The order is defined by the orderBy parameter.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/customLists
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by custom list fields. Supported syntax:
Examples:
The length of this field should be no more than 500 characters. |
advertiserId |
The ID of the DV360 advertiser that has access to the fetched custom lists. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"customLists": [
{
object ( |
| Fields | |
|---|---|
customLists[] |
The list of custom lists. This list will be absent if empty. |
nextPageToken |
A token to retrieve the next page of results. Pass this value in the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.